/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function articleCategoryItems(
  params,
  options,
) {
  return request('/admin/article_category/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function articleCategoryCreate(
  body,
  options,
) {
  return request('/admin/article_category/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function articleCategoryUpdate(
  body,
  options,
) {
  return request('/admin/article_category/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function articleCategoryDelete(
  body,
  options,
) {
  return request('/admin/article_category/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
